Subject: bug#633: qemu-guest-agent: Guest agent does not shut down the guest when requested to

From: Fabio Muzzi <[email-masked]>
Date: Sat, 20 Nov 2021 20:06:15 +0100

Package: qemu-guest-agent
Version: 1:5.2+dfsg-11+deb11u1
Severity: grave
Justification: renders package unusable
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

I have installed a Devuan 4 guest in a PVE 7.1 host, with Quemu guest
enabled in PVE and the guest agent package installed in the guest.

When commanding a guest shutdown from the host, a shutdown command is
sent to the guest agent (because the host knows the guest has the agent
installed, otherwise it would use an ACPI command to "press the power
button").

The guest gets the command, and writes in the syslog the following line:

Nov 20 18:50:09 fileserver qemu-ga: info: guest-shutdown called, mode:
(null)

Then a shutdown should be initiated, but nothing happens. The guest
keeps running.

I can send multiple shutdown commands from the host, they are all
received by the guest, but nothing happens, they just get logged in the
syslog.

I would expect the guest agent to start a shutdown.

Tried installing a Debian 11 virtual on the same PVE host, and the
shutdown command works as expected, logging the same line and then
immediately commanding a shutdown.

I suppose that this version of qemu-ga requires systemd to actually command a shutdown? 

Qemu-ga is version 5.2.0

It worked in Devuan 3.

Kind regards

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/2 CPU threads)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages qemu-guest-agent depends on:
ii  init-system-helpers   1.60+devuan1
ii  libc6                 2.31-13+deb11u2
ii  libeudev1 [libudev1]  3.2.9-10~chimaera1
ii  libglib2.0-0          2.66.8-1
ii  liburing1             0.7-3
ii  lsb-base              11.1.0

qemu-guest-agent recommends no packages.

qemu-guest-agent suggests no packages.

-- no debconf information